GrailsProjectPluginLoader (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.plugins

## [Groovy] Class GrailsProjectPluginLoader

- org.codehaus.groovy.grails.project.plugins.GrailsProjectPluginLoader

- All Implemented Interfaces and Traits:
    PluginManagerLoader

      @groovy.transform.CompileStatic
      class GrailsProjectPluginLoader
      extends BaseSettingsApi

  Loads the PluginManager and sets appropriate state

  Authors:
    Graeme Rocher
  Since:
    2.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.ClassLoader` | `classLoader`
    `GrailsApplication` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectPluginLoader (GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, BuildSettings buildSettings, GrailsBuildEventListener buildEventListener)`
    `GrailsProjectPluginLoader (GrailsApplication grailsApplication, BuildSettings buildSettings = BuildSettingsHolder.settings)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsPluginManager` | `loadPlugins()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.ClassLoader classLoader

    - #### GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### GrailsProjectPluginLoader(GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, BuildSettings buildSettings, GrailsBuildEventListener buildEventListener)

    - #### GrailsProjectPluginLoader(GrailsApplication grailsApplication, BuildSettings buildSettings = BuildSettingsHolder.settings)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic GrailsPluginManager loadPlugins()